import os
from elecmap import electrode_detection as ed
from elecmap import electrode_visualization as ev

def main():
    # === Define Input Paths ===
    ct_path = "data/CT_016.nii"
    mr_path = "data/MR_016.nii"

    # ---- Step 1: Detect Electrode Locations ----
    ed.detect_electrodes(ct_path, mr_path)
    
    # === Construct path to JSON output ===
    ct_basename = os.path.splitext(os.path.basename(ct_path))[0]
    json_output_path = f"processed_scans/electrodes_{ct_basename}.json"

    # ---- Step 2: Visualize Electrode Locations ----
    ev.display_electrode_locations(ct_path, json_output_path)

if __name__ == "__main__":
    main()
